Bug 476539 - RFE: update to 1.2.2
RFE: update to 1.2.2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 09:37 EST by Jonathan Underwood
Modified: 2009-02-06 00:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 00:23:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-12-15 09:37:39 EST
Description of problem:
There's a more recent bugfix version of rdiff-backup available, which fixes a number of issues -any chance of updating the package?
Comment 1 Kevin Fenzi 2008-12-15 17:09:46 EST
Sorry for the delay. I was even working with upstream before this release, as it fixes an outstanding bug. 

Rawhide is updated now, will push out testing updates for f10/f9.
Comment 2 Jonathan Underwood 2008-12-15 17:18:05 EST
Thanks Kevin.
Comment 3 Fedora Update System 2008-12-15 18:57:10 EST
rdiff-backup-1.2.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.2-1.fc10
Comment 4 Fedora Update System 2008-12-15 19:08:58 EST
rdiff-backup-1.2.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.2-1.fc9
Comment 5 Fedora Update System 2008-12-21 03:18:03 EST
rdiff-backup-1.2.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11422
Comment 6 Fedora Update System 2008-12-21 03:45:43 EST
rdiff-backup-1.2.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11425
Comment 7 Jonathan Underwood 2008-12-23 10:47:20 EST
Hi Kevin,

FYI there's a bug in 1.2.2 (and 1.2.1) that is fixed in CVS, and upstream plans to make a new release soon. Not sure if you want to pick up the fix in the meantime. Andrew had this to say:

This bug is fixed in CVS. Sorry the next release has been a little slow; I expect to have it ready within the next week.

If you want, you can get the fix immediately by replacing the file 'eas_acls.py' on both systems.

Download the new version from:
http://cvs.savannah.gnu.org/viewvc/*checkout*/rdiff-backup/rdiff_backup/eas_acls.py?root=rdiff-backup




The report of the problem is:

Running rdiff-backup 1.2.2 on both ends (and also seen running 1.2.1
on both ends) I see the following problem when running this command

rdiff-backup --create-full-path --exclude-sockets --verbosity 5
/home/username ruser@hostip:/home/ruser

Both machines are Fedora 10. Output follows:

Using rdiff-backup version 1.2.2
Executing ssh -C ruser@xxx.xxx.xxx.xxx rdiff-backup --server
Unable to import win32security module. Windows ACLs
not supported by filesystem at /home/jgu
escape_dos_devices not required by filesystem at /home/jgu
-----------------------------------------------------------------
Detected abilities for source (read only) file system:
 Access control lists                         On
 Extended attributes                          On
 Windows access control lists                 Off
 Case sensitivity                             On
 Escape DOS devices                           Off
 Mac OS X style resource forks                Off
 Mac OS X Finder information                  Off
-----------------------------------------------------------------
Unable to import win32security module. Windows ACLs
not supported by filesystem at /home/ruser/rdiff-backup-data/rdiff-backup.tmp.0
escape_dos_devices not required by filesystem at
/home/ruser/home/luser/rdiff-backup-data/rdiff-backup.tmp.0
-----------------------------------------------------------------
Detected abilities for destination (read/write) file system:
 Ownership changing                           Off
 Hard linking                                 On
 fsync() directories                          On
 Directory inc permissions                    On
 High-bit permissions                         On
 Symlink permissions                          Off
 Extended filenames                           On
 Windows reserved filenames                   Off
 Access control lists                         On
 Extended attributes                          On
 Windows access control lists                 Off
 Case sensitivity                             On
 Escape DOS devices                           Off
 Mac OS X style resource forks                Off
 Mac OS X Finder information                  Off
-----------------------------------------------------------------
Backup: must_escape_dos_devices = 0
Previous backup seems to have failed, regressing destination now.
Regressing to Wed Dec 10 05:00:02 2008
Regressing file .#junk.muse
Regressing file .DCOPserver_xxxxxxx_127.0.0.1:1
Regressing file .DCOPserver_xxxxxxx_:2
Regressing file .beagle/Log/current-Beagle
Regressing file .beagle/Log/current-IndexHelper
Regressing attributes of /home/ruser/home/luser/.beagle/Log
Regressing file .evolution/exchange/exchange___xxxx_;personal_Calendar
Regressing file .evolution/exchange/exchange___xxxx_;personal_Tasks
Regressing attributes of /home/ruser/home/luser/.evolution/exchange
Regressing file .gnome2/accels/eog
Sending back exception [Errno 22] Invalid argument of type <type
'exceptions.IOError'>:
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/connection.py",
line 335, in answer_request
   result = apply(eval(request.function_string), argument_list)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/regress.py",
line 71, in Regress
   for rf in iterate_meta_rfs(mirror_rp, inc_rpath): ITR(rf.index, rf)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/rorpiter.py",
line 281, in __call__
   last_branch.fast_process(*args)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/regress.py",
line 268, in fast_process
   if rf.metadata_rorp.isreg(): self.restore_orig_regfile(rf)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/regress.py",
line 292, in restore_orig_regfile
   rpath.copy_attribs(rf.metadata_rorp, tf)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/rpath.py",
line 177, in copy_attribs
   if Globals.eas_write: rpout.write_ea(rpin.get_ea())
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/rpath.py",
line 1321, in write_ea
   ea.write_to_rp(self)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/eas_acls.py",
line 109, in write_to_rp
   rp.conn.xattr.setxattr(rp.path, name, value, 0, rp.issym())

Exception '[Errno 22] Invalid argument' raised of class '<type
'exceptions.IOError'>':
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
304, in error_check_Main
   try: Main(arglist)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
324, in Main
   take_action(rps)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
280, in take_action
   elif action == "backup": Backup(rps[0], rps[1])
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
337, in Backup
   backup_final_init(rpout)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
477, in backup_final_init
   checkdest_if_necessary(rpout)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
871, in checkdest_if_necessary
   dest_rp.conn.regress.Regress(dest_rp)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/connection.py",
line 450, in __call__
   return apply(self.connection.reval, (self.name,) + args)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/connection.py",
line 370, in reval
   if isinstance(result, Exception): raise result

Traceback (most recent call last):
 File "/usr/bin/rdiff-backup", line 30, in <module>
   rdiff_backup.Main.error_check_Main(sys.argv[1:])
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
304, in error_check_Main
   try: Main(arglist)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
324, in Main
   take_action(rps)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
280, in take_action
   elif action == "backup": Backup(rps[0], rps[1])
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
337, in Backup
   backup_final_init(rpout)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
477, in backup_final_init
   checkdest_if_necessary(rpout)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/Main.py", line
871, in checkdest_if_necessary
   dest_rp.conn.regress.Regress(dest_rp)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/connection.py",
line 450, in __call__
   return apply(self.connection.reval, (self.name,) + args)
 File "/usr/lib64/python2.5/site-packages/rdiff_backup/connection.py",
line 370, in reval
   if isinstance(result, Exception): raise result
IOError: [Errno 22] Invalid argument
Comment 8 Kevin Fenzi 2008-12-23 11:30:55 EST
Ouch. I have not seen this here on any of my systems. ;( 

I can wait and pick up the new version when it's released. 
If you spot it being released feel free to ping me.
Comment 9 Jonathan Underwood 2008-12-29 05:21:20 EST
Hi Kevin, 1.2.3 has now been released, fixing a boat load of bugs.
Comment 10 Kevin Fenzi 2008-12-29 12:35:57 EST
Excellent. I will get a 1.2.3 version tested and built and hopefully submitted for testing today. Thanks for the heads up!
Comment 11 Fedora Update System 2008-12-29 14:15:17 EST
rdiff-backup-1.2.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.3-1.fc10
Comment 12 Fedora Update System 2008-12-29 14:26:17 EST
rdiff-backup-1.2.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.3-1.fc9
Comment 13 Fedora Update System 2008-12-30 18:48:24 EST
rdiff-backup-1.2.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11898
Comment 14 Fedora Update System 2008-12-30 18:55:25 EST
rdiff-backup-1.2.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11953
Comment 15 Jonathan Underwood 2009-01-01 07:19:16 EST
I can confirm this update fixes the problem I was seeing with 1.2.2 in Comment #7. 

However, (and this isn't an rdiff-backup bug), I see the following when a backup completes:

Warning: Your version of pyxattr (unknown) has broken support for extended
attributes on symlinks. If you choose not to upgrade to a more recent version,
you may see many warning messages from listattr().

I'll file a bug against pyxattr.

Thanks kevin, happy new year.
Comment 16 Jonathan Underwood 2009-01-01 07:25:50 EST
For reference, pyxattr bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=478580
Comment 17 Jonathan Underwood 2009-01-01 12:31:08 EST
Oh dear. It seems that in 1.2.3 restores from a remote backup was broken. Upstream have just released 1.2.4 to fix this issue.
Comment 18 Kevin Fenzi 2009-01-01 13:10:38 EST
Yeah. ;( 

Pushing out 1.2.4 now. Hopefully this one will stay stable for a bit.
Comment 19 Fedora Update System 2009-01-01 13:38:57 EST
rdiff-backup-1.2.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.4-1.fc10
Comment 20 Fedora Update System 2009-01-01 13:56:57 EST
rdiff-backup-1.2.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.4-1.fc9
Comment 21 Fedora Update System 2009-01-07 04:15:36 EST
rdiff-backup-1.2.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0083
Comment 22 Fedora Update System 2009-01-07 04:17:32 EST
rdiff-backup-1.2.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0100
Comment 23 Kevin Fenzi 2009-01-14 00:00:17 EST
I'm likely going to push this soon, it's been working fine here. 

Additional feedback would be appreciated.
Comment 24 Kevin Fenzi 2009-01-14 01:31:38 EST
Of course they pushed a 1.2.5 now that has a fix for error reporting. ;( 

I will try and push updates tomorrow in the hopes that this will be the stable one. ;(
Comment 25 Fedora Update System 2009-01-17 19:28:02 EST
rdiff-backup-1.2.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.5-1.fc10
Comment 26 Fedora Update System 2009-01-17 19:29:41 EST
rdiff-backup-1.2.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rdiff-backup-1.2.5-1.fc9
Comment 27 Fedora Update System 2009-01-21 16:28:40 EST
rdiff-backup-1.2.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0754
Comment 28 Fedora Update System 2009-01-21 16:34:13 EST
rdiff-backup-1.2.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rdiff-backup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0806
Comment 29 Fedora Update System 2009-02-06 00:23:05 EST
rdiff-backup-1.2.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2009-02-06 00:23:18 EST
rdiff-backup-1.2.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.